# -*- coding: utf-8 -*-
from django.utils.translation import gettext_lazy as _

menu_items = [{
    'title': _('role'),
    'url_name': {'viewname': 'admin:app_list', 'kwargs': {'app_label': 'role'}},
    'perms': ['role.*'],
    'children': [
        {
            'title': _('list profiles'),
            'url_name': 'admin:role_profile_changelist',
            'perms': [
                'role.view_profile',
                'role.change_profile'
            ],
        },
        {
            'title': _('add role'),
            'url_name': 'admin:role_role_add',
            'perms': ['role.add_role'],
        },
        {
            'title': _('list roles'),
            'url_name': 'admin:role_role_changelist',
            'perms': [
                'role.view_role',
                'role.change_role'
            ],
        },
        {
            'title': _('add menu'),
            'url_name': 'admin:role_menu_add',
            'perms': ['role.add_menu'],
        },
        {
            'title': _('list menus'),
            'url_name': 'admin:role_menu_changelist',
            'perms': [
                'role.view_menu',
                'role.change_menu'
            ],
        },
        {
            'title': _('add menu translation'),
            'url_name': 'admin:role_menutranslation_add',
            'perms': ['role.add_menutranslation'],
        },
        {
            'title': _('list menu translations'),
            'url_name': 'admin:role_menutranslation_changelist',
            'perms': [
                'role.view_menutranslation',
                'role.change_menutranslation'
            ],
        },
    ]
}]
