# -*- coding: utf-8 -*-
from django.conf import settings
from mptt.managers import TreeManager
from mptt.querysets import TreeQuerySet


class MenuQuerySet(TreeQuerySet):

    def filter_user_menu(self, user, codename=None, only_root=True):
        show_all_menus = settings.THX_ROLE_SHOW_ALL_MENUS
        if show_all_menus:
            return self.filter(status=1)
        items = self.filter(profiles__users=user, status=1)
        if only_root:
            items = items.filter(parent__isnull=True)
        if codename:
            items = items.filter_profile_menu(codename)
        return items.distinct()

    def filter_profile_menu(self, codename):
        return self.filter(profiles__codename=codename)


class MenuManager(TreeManager.from_queryset(MenuQuerySet)):
    pass
